/* $Id$ */

#pragma once

#include <string>

namespace Util
{
	std::string Sanitize(const std::string s);
	std::string IntToStr(size_t i);
	std::string NextToken(std::string &s, const std::string &sep);
	unsigned char FromHexOne(const char ch);
	unsigned char FromHex(const std::string &s);
	std::string StripDot(const std::string &s);
	unsigned short Crc16(unsigned char *data, unsigned char size);
	std::string Format(const char *fmt, ...);
};
